Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class VariableInstanceLog

    java.lang.Object
      org.jbpm.process.audit.VariableInstanceLog

All Implemented Interfaces:
  Serializable, AuditEvent, VariableInstanceLog

    @Entity
    public class VariableInstanceLog

extends Object
implements Serializable, AuditEvent, VariableInstanceLog

See Also:
  Serialized Form

Constructor Summary
`VariableInstanceLog()`
`VariableInstanceLog(long processInstanceId, String processId, String variableInstanceId, String variableId, String value, String oldValue)`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getDate()` Date when the variable was set (to current value)
`String` | `getExternalId()` External (optional) identifier associated with this process instance
`long` | `getId()`
`String` | `getOldValue()` Previous value of the variable (if any)
`String` | `getProcessId()` Process id of the definition
`Long` | `getProcessInstanceId()` Process instance identifier
`String` | `getValue()` Current value of the variable
`String` | `getVariableId()` Identifier of the variable aka variable name
`String` | `getVariableInstanceId()` Additional information in case variable is defined on composite node level to be able to distinguish it between top level and embedded level variables
`int` | `hashCode()`
`void` | `setDate(Date date)`
`void` | `setExternalId(String domainId)`
`void` | `setId(long id)`
`void` | `setOldValue(String oldValue)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setValue(String value)`
`void` | `setVariableId(String variableId)`
`void` | `setVariableInstanceId(String variableInstanceId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableInstanceLog

    public VariableInstanceLog()

### VariableInstanceLog

    public VariableInstanceLog(long processInstanceId,
                               String processId,
                               String variableInstanceId,
                               String variableId,
                               String value,
                               String oldValue)

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getProcessInstanceId

    public Long getProcessInstanceId()

  Description copied from interface: `VariableInstanceLog`
  Process instance identifier

  Specified by:
    `getProcessInstanceId` in interface `AuditEvent`
  Specified by:
    `getProcessInstanceId` in interface `VariableInstanceLog`
  Returns:

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### getProcessId

    public String getProcessId()

  Description copied from interface: `VariableInstanceLog`
  Process id of the definition

  Specified by:
    `getProcessId` in interface `AuditEvent`
  Specified by:
    `getProcessId` in interface `VariableInstanceLog`
  Returns:

### setProcessId

    public void setProcessId(String processId)

### getVariableInstanceId

    public String getVariableInstanceId()

  Description copied from interface: `VariableInstanceLog`
  Additional information in case variable is defined on composite node level to be able to distinguish it between top level and embedded level variables

  Specified by:
    `getVariableInstanceId` in interface `VariableInstanceLog`
  Returns:

### setVariableInstanceId

    public void setVariableInstanceId(String variableInstanceId)

### getVariableId

    public String getVariableId()

  Description copied from interface: `VariableInstanceLog`
  Identifier of the variable aka variable name

  Specified by:
    `getVariableId` in interface `VariableInstanceLog`
  Returns:

### setVariableId

    public void setVariableId(String variableId)

### getValue

    public String getValue()

  Description copied from interface: `VariableInstanceLog`
  Current value of the variable

  Specified by:
    `getValue` in interface `VariableInstanceLog`
  Returns:

### setValue

    public void setValue(String value)

### getOldValue

    public String getOldValue()

  Description copied from interface: `VariableInstanceLog`
  Previous value of the variable (if any)

  Specified by:
    `getOldValue` in interface `VariableInstanceLog`
  Returns:

### setOldValue

    public void setOldValue(String oldValue)

### getDate

    public Date getDate()

  Description copied from interface: `VariableInstanceLog`
  Date when the variable was set (to current value)

  Specified by:
    `getDate` in interface `VariableInstanceLog`
  Returns:

### setDate

    public void setDate(Date date)

### getExternalId

    public String getExternalId()

  Description copied from interface: `VariableInstanceLog`
  External (optional) identifier associated with this process instance

  Specified by:
    `getExternalId` in interface `AuditEvent`
  Specified by:
    `getExternalId` in interface `VariableInstanceLog`
  Returns:

### setExternalId

    public void setExternalId(String domainId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.